> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add metadata

> Add metadata to an Order in the form of a Badge or Activity feed item



## OpenAPI

````yaml openapi-metadata POST /v1/orders/metadata/{id}
openapi: 3.0.0
info:
  title: Metadata
  description: Metadata and Label API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags: []
paths:
  /v1/orders/metadata/{id}:
    post:
      tags:
        - Metadata
      summary: add metadata to an order
      operationId: MetadataApiController_addMetadata
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BadgeMetadata'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    BadgeMetadata:
      type: object
      properties:
        type:
          type: string
          example: badge
        badgeType:
          type: string
          enum:
            - success
            - warning
            - danger
            - neutral
            - secondary
          example: success
        label:
          type: string
          example: 'Order Risk: Low'
        icon:
          type: string
          enum:
            - AddBook
            - ApiLogo
            - ArmraLogo
            - ArrowsRightLeft
            - BigCommerce
            - CheckCircle
            - CircleLogo
            - ClaimInfoSubscribedRightArrows
            - ClaimTodoApprovedDeniedSolidArrow
            - ClaimTodoClosedSolidArrow
            - ClaimTodoDashedArrow
            - ClaimTodoOnholdDashedArrow
            - ClaimTodoPendingDashedArrow
            - ClaimTodoSolidLine
            - DatePicker
            - EarthGlobeTimezone
            - FolderCheck
            - FollowUp
            - IconApprove
            - IconArmra
            - IconAvatar
            - IconBuilding
            - IconCheck
            - IconClose
            - IconCreditCard
            - IconCustom
            - IconDanger
            - IconDollar
            - IconEdit
            - IconGoogle
            - IconInfo
            - IconLock
            - IconLogo
            - IconRefund
            - IconSend
            - IconShipment
            - IconShopify
            - IconWarning
            - ImageCancel
            - LineAlign
            - LineAngleDoubleLeft
            - LineAngleDoubleRight
            - LineAngleDown
            - LineAngleLeft
            - LineAngleRight
            - LineAngleUp
            - LineAppleAlt
            - LineArchive
            - LineArrow
            - LineArrowDownRight
            - LineArrowLeft
            - LineArrowRight
            - LineBars
            - LineBold
            - LineBolt
            - LineBookMedical
            - LineBox
            - LineBuilding
            - LineCameraQuestion
            - LineChart
            - LineChatBubbleUser
            - LineCheckCircle
            - LineClipboardAlt
            - LineCodeBranch
            - LineCoins
            - LineCommentAlt
            - LineCommentAltBlock
            - LineCommentDots
            - LineCommentMessage
            - LineCommentQuestion
            - LineComparison
            - LineCopy
            - LineCornerUpLeftAlt
            - LineCornerUpRightAlt
            - LineCreditCard
            - LineDashboard
            - LineDownloadAlt
            - LineDraggabledots
            - LineEllipsisH
            - LineExclamationCircle
            - LineExclamationOctagon
            - LineExport
            - LineExternalLinkAlt
            - LineEye
            - LineEyeSlash
            - LineFileCopyAlt
            - LineFileLandscape
            - LineFilter
            - LineFire
            - LineFolder
            - LineFolderOpen
            - LineFont
            - LineGithubAlt
            - LineGlobe
            - LineImport
            - LineInfoCircle
            - LineItalic
            - LineLeftIndent
            - LineLinkAlt
            - LineListOl
            - LineListUl
            - LineLock
            - LineMessage
            - LineMinusCircle
            - LineMoney
            - LineMoneyWithdraw
            - LineMoon
            - LinePalette
            - LinePaperclip
            - LinePen
            - LinePhone
            - LinePlus
            - LinePlusCircle
            - LinePlusSquare
            - LineRefresh
            - LineRightIndentAlt
            - LineRocket
            - LineSearch
            - LineSetting
            - LineShield
            - LineSlack
            - LineSort
            - LineStar
            - LineSun
            - LineSwatchbook
            - LineSync
            - LineTable
            - LineTag
            - LineTimes
            - LineTimesCircle
            - LineToggleOff
            - LineToggleOn
            - LineTransaction
            - LineTrashAlt
            - LineUnderline
            - LineUsdCircle
            - LineUsersAlt
            - MagentoLogo
            - NoResponse
            - OutsideOp
            - Package
            - PackageArrived
            - PlayCircle
            - PlusCircle
            - QueueList
            - RefreshResentMail
            - ShieldCheck
            - Shipstation
            - ShopifyAvatar
            - ShopifyBag
            - SolidStar
            - TableDeleteColumn
            - TableDeleteRow
            - TableInsertColumnAfter
            - TableInsertColumnBefore
            - TableInsertRowAbove
            - TableInsertRowAfter
            - TipaltiLogo
            - XCircle
            - XMark
          description: The icon to use
        iconPosition:
          type: string
          enum:
            - left
            - right
          example: left
        lowContrast:
          type: boolean
      required:
        - type
        - badgeType
        - label
        - icon
        - lowContrast
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````